This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974955 - Creating a DRAFT operation accepts invalid ID parameters
Creating a DRAFT operation accepts invalid ID parameters
Status: NEW
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 05:06 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-06-17 05:06:28 EDT
Description of problem: Creating a draft operation accepts wrong parameters (I've hitted this by mistake).


Version-Release number of selected component (if applicable):
RHQ 4.8-master

How reproducible:always


Steps to Reproduce: let's have OP_ID and RES_ID, where OP_ID is *NOT* an operation definition ID for particular resource (type) having RES_ID
1. do POST /operation/definition/<OP_ID>?resourceId=<RES_ID>

Actual results: server returns successfull response with body

{u'name': u'postStatus', u'links': [{u'edit': {u'href': u'http://localhost:7080/rest/operation/1365114332'}}], u'resourceId': 10006, u'definitionId': 10001, u'readyToSubmit': False, u'params': {u'message': u'TODO'}, u'id': 1365114332}



Expected results: server must return error response, since it cannot schedule operation for this resource


Additional info:

Note You need to log in before you can comment on or make changes to this bug.